#!/usr/bin/perl -w

use strict;
use warnings;
use Image::Base::GD;


my $args = $#ARGV + 1;
if ($args != 4) {
    print("Please provide <x> <y> <output> <input>!\n");
    exit -1;
}

my $x = $ARGV[0];
my $y = $ARGV[1];
my $outputfilename = $ARGV[2];
my $input = $ARGV[3];

print("Image $x x $y - output: $outputfilename - input: $input\n");

my $im = Image::Base::GD->new (-width => $x,
                               -height => $y);

my @color = ('#000000', '#008800', '#00BB00', '#0000FF',
	'#0088FF', '#00BBFF', '#00FFFF',
	'#88FFFF', '#BBFFFF', '#FFFFFF');

open PI, "<", $input || die "Couldn't open file $input: $!";

my $digitCounter = 0;
# Read file line by line
my $read;
my $char;
while ($read = read PI, $char, 1) {
	if ($char eq '.') 
	{
		next;
	}
	my $i = $digitCounter / $x;
	my $k = $digitCounter % $x;
	my $value = $color[int($char)];
	$im->xy($k, $i, $value);
	$digitCounter++;
	if ($digitCounter > $x * $y) {
		last;
	}
}

close(PI) || die "Error closing PI: $!\n";
print("Read $digitCounter digits.\n");
$im->save($outputfilename);
exit 0;
