#!/usr/bin/env python3

from PIL import Image
import sys

if len(sys.argv) != 5:
    print("I need just four arguments!")
    sys.exit(0)

if sys.argv[1].isdigit():
    x = int(sys.argv[1])
else:
    print(sys.argv[1], "is not an integer")
    sys.exit(0)

if sys.argv[2].isdigit():
    y = int(sys.argv[2])
else:
    print(sys.argv[2], "is not an integer")
    sys.exit(0)

filename = sys.argv[3]
textPi = sys.argv[4]
print(x, y, "named", filename, "– reading from", textPi)

colors = [0, 2600, 3200, 12800, 13900, 14500, 17600, 18200, 24800, 25400]

image = Image.new('RGB', (x, y))
image.save(filename, "PNG")

img = Image.open(filename)
pix = img.load()

digitCounter = 0
# read file digit by digit
f = open(textPi, 'r')
while True:
    ch = f.read(1)
    if not ch:
        break
    if ch == '.':
        continue
    i = int(digitCounter/y)
    k = digitCounter%y
    if i >= x:
        break
    pix[i,k] = colors[int(ch)]
    digitCounter = digitCounter + 1
    

img.save(filename)
print(filename, "Image size: ", img.size)
print("Read:", digitCounter, "digits")
